diff -u -urN vpnclient-linux-4.0.3.B-k9-gwdg/interceptor.c vpnclient-linux-4.0.3.B-k9-te/interceptor.c
--- vpnclient-linux-4.0.3.B-k9-gwdg/interceptor.c	2003-10-30 02:27:34.000000000 +0100
+++ vpnclient-linux-4.0.3.B-k9-te/interceptor.c	2004-05-17 12:39:35.000000000 +0200
@@ -3,11 +3,19 @@
 ***************************************************************************
 *
 *  File:    interceptor.c
-*  Date:    04/10/2001
+*  Date:    04/10/2001 modified 05/04/2002
 *
 ***************************************************************************
 * This module implements the linux driver.
 ***************************************************************************/
+
+
+/* Dieses File gegen die Original interceptor.c austauchen. Danach File
+   editieren und nach "HIER AENDERN" suchen (kommt 2 mal im Source vor).
+   Dort jeweils die Interfaces eintragen, die nicht deaktiviert werden sollen.
+*/
+
+
 #include <linux/config.h>
 #include <linux/version.h>
 #include <linux/module.h>
@@ -498,11 +506,26 @@
         goto exit_gracefully;
     }
 
+        /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+			 die nicht deaktiviert werden sollen */
+
+    if (strcmp("eth0", dev->name) == 0) {
+        goto exit_gracefully;
+    }
+
+        /* Ende der Aenderungen */
+
+
     if (!strncmp(dev->name, "eth", 3)
         && (dev->name[3] >= '0' && dev->name[3] <= '9'))
     {
         rc = 1;
     }
+    else if (!strncmp(dev->name, "wvlan", 5)
+             && (dev->name[5] >= '0' && dev->name[5] <= '9'))
+    {
+        rc = 1;
+    }
     else if (!strncmp(dev->name, "wlan", 4)
              && (dev->name[4] >= '0' && dev->name[4] <= '9'))
     {
@@ -570,6 +593,19 @@
 #ifdef MOD_INC_AND_DEC
     MOD_INC_USE_COUNT;
 #endif
+
+    /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+                         die nicht deaktiviert werden sollen */     
+
+    if (strcmp("eth0", dev->name) == 0) {
+        rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
+        goto exit_gracefully;
+    }
+
+    /* Ende der Aenderungen */
+
+
+
     if (strcmp("lo", dev->name) == 0)
     {
         rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
@@ -864,7 +900,7 @@
     if (status == 0)
     {
         printk(KERN_INFO "Cisco Systems VPN Client Version "
-               BUILDVER_STRING " kernel module loaded\n");
+               BUILDVER_STRING " kernel module loaded (no interface deactivating)\n");
     }
     return (status);
 }
